 *{
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  box-sizing: border-box;
 }
 body{
  background-color: #222;
 }
 .card{
  width: 90%;
  max-width: 470px;
  background: linear-gradient(135deg, #00feba, #5b548a);
  color: #fff;
  margin: 100px auto 0;
  border-radius: 20px;
  padding: 40px 35px;
  text-align: center;
 }
 .search{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
 }
  .search input{
      border: 0;
      outline: 0;
      background: #ebfffc;
      color: #555;
      padding: 10px 25px;
      height: 60px;
      border-radius: 30px;
      flex: 1;
      margin-right: 16px;
      font-size: 18px;
  }
  .search button{
    border: 0;
    outline: 0;
    background: #ebfffc;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    cursor: pointer;
  }
  .search button img{
    width: 16px;

  }
  .weather-icon{
    width: 170px;
    margin-top: 30px;
    background-color: transparent;
  }
  .weather h1{
    font-size: 80px;
    font-weight: 500;
  }
  .weather h2{
    font-size: 45px;
    font-weight: 400;
    margin-top: -10px;
  }

  @media screen and (max-width: 400px){
    .search input{
      margin-left: -20px;
      height: 30px;
      font-size: 15px;
      padding-right: 10px;
    }
    .search button{
      width: 30px;
      height: 30px;
      border-radius: 15px;
      padding-left: 6px;
      padding-right: 6px;
      margin-left: -12px;
    }
    .search button img{
      width: 14px;
      background-color: transparent;
      padding-top: 6px;
    }
    h1{
      font-size: 20px;
    }
    *{
      margin-bottom: 5px;
      margin-top: 0;
    }
  }